package org.bucksch.zeipis.recorder;

abstract public class TVChannel
{
  public boolean sameStation(TVChannel other)
  {
    return myStationID == other.myStationID;
  }
  public boolean equals(TVChannel other)
  {
    return myChannelID == other.myChannelID;
  }

  // Getters
  public int id() { return myChannelID; }
  public int stationid() { return myStationID; }
  public String stationLongName() { return myStationLongName; }
  public String stationShortName() { return myStationShortName; }

  // Data
  protected int myChannelID;
  protected int myStationID;
  protected String myStationLongName;
  protected String myStationShortName;
}
